Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 22575)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Holiday extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Holiday extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/holiday.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,8 +66,7 @@
      * @return void
      */
-    function action()
-    {
-
-        $objHoliday = new SC_Helper_Holiday_Ex();
+    function action() {
+
+        $objDb = new SC_Helper_DB_Ex();
 
         $objDate = new SC_Date_Ex();
@@ -80,10 +76,20 @@
         $mode = $this->getMode();
 
-        $objFormParam = new SC_FormParam_Ex();
-        $this->lfInitParam($mode, $objFormParam);
-        $objFormParam->setParam($_POST);
-        $objFormParam->convParam();
-
-        $holiday_id = $objFormParam->getValue('holiday_id');
+        if (!empty($_POST)) {
+
+            $objFormParam = new SC_FormParam_Ex();
+            $this->lfInitParam($mode, $objFormParam);
+            $objFormParam->setParam($_POST);
+            $objFormParam->convParam();
+            $holiday_id = $objFormParam->getValue('holiday_id');
+
+            $this->arrErr = $this->lfCheckError($mode, $objFormParam);
+            if (!empty($this->arrErr['holiday_id'])) {
+                trigger_error('', E_USER_ERROR);
+                return;
+            }
+
+            $post = $objFormParam->getHashArray();
+        }
 
         // 要求判定
@@ -91,40 +97,45 @@
             // 編集処理
             case 'edit':
-                $this->arrErr = $this->lfCheckError($objFormParam, $objHoliday);
-                if (!SC_Utils_Ex::isBlank($this->arrErr['holiday_id'])) {
-                    trigger_error('', E_USER_ERROR);
-                    return;
+                // POST値の引き継ぎ
+                $this->arrForm = $this->arrForm = $_POST;
+
+                if (count($this->arrErr) <= 0) {
+                    // 新規作成
+                    if ($post['holiday_id'] == '') {
+                        $this->lfInsertClass($this->arrForm, $_SESSION['member_id']);
+                    }
+                    // 既存編集
+                    else {
+                        $this->lfUpdateClass($this->arrForm, $post['holiday_id']);
+                    }
+
+                    // 再表示
+                    $this->objDisplay->reload();
+                } else {
+                    // POSTデータを引き継ぐ
+                    $this->tpl_holiday_id = $post['holiday_id'];
                 }
-
-                if (count($this->arrErr) <= 0) {
-                    // POST値の引き継ぎ
-                    $arrParam = $objFormParam->getHashArray();
-                    // 登録実行
-                    $res_holiday_id = $this->doRegist($holiday_id, $arrParam, $objHoliday);
-                    if ($res_holiday_id !== FALSE) {
-                        // 完了メッセージ
-                        $holiday_id = $res_holiday_id;
-                        $this->tpl_onload = "alert('登録が完了しました。');";
-                    }
-                }
-                // POSTデータを引き継ぐ
-                $this->tpl_holiday_id = $holiday_id;
-
                 break;
             // 削除
             case 'delete':
-                $objHoliday->delete($holiday_id);
+                $objDb->sfDeleteRankRecord('dtb_holiday', 'holiday_id', $post['holiday_id'], '', true);
+
+                // 再表示
+                $this->objDisplay->reload();
                 break;
             // 編集前処理
             case 'pre_edit':
                 // 編集項目を取得する。
-                $arrHolidayData = $objHoliday->get($holiday_id);
-                $objFormParam->setParam($arrHolidayData);
-
+                $arrHolidayData = $this->lfGetHolidayDataByHolidayID($post['holiday_id']);
+
+                // 入力項目にカテゴリ名を入力する。
+                $this->arrForm['title'] = $arrHolidayData[0]['title'];
+                $this->arrForm['month'] = $arrHolidayData[0]['month'];
+                $this->arrForm['day'] = $arrHolidayData[0]['day'];
                 // POSTデータを引き継ぐ
-                $this->tpl_holiday_id = $holiday_id;
+                $this->tpl_holiday_id = $post['holiday_id'];
                 break;
             case 'down':
-                $objHoliday->rankDown($holiday_id);
+                $objDb->sfRankDown('dtb_holiday', 'holiday_id', $post['holiday_id']);
 
                 // 再表示
@@ -132,5 +143,5 @@
                 break;
             case 'up':
-                $objHoliday->rankUp($holiday_id);
+                $objDb->sfRankUp('dtb_holiday', 'holiday_id', $post['holiday_id']);
 
                 // 再表示
@@ -141,7 +152,8 @@
         }
 
-        $this->arrForm = $objFormParam->getFormParamList();
-
-        $this->arrHoliday = $objHoliday->getList();
+        $this->arrHoliday = $this->lfGetHolidayList();
+        // POSTデータを引き継ぐ
+        $this->tpl_holiday_id = $holiday_id;
+
     }
 
@@ -151,39 +163,68 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    /**
-     * 登録処理を実行.
-     * 
-     * @param integer $holiday_id
-     * @param array $sqlval
-     * @param object $objHoliday
-     * @return multiple
-     */
-    function doRegist($holiday_id, $sqlval, SC_Helper_Holiday_Ex $objHoliday)
-    {
-        $sqlval['holiday_id'] = $holiday_id;
-        $sqlval['creator_id'] = $_SESSION['member_id'];
-        return $objHoliday->save($sqlval);
-    }
-
-    function lfInitParam($mode, &$objFormParam)
-    {
+    function lfGetHolidayDataByHolidayID($holiday_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $where = 'holiday_id = ?';
+        return $objQuery->select('title, month, day', 'dtb_holiday', $where, array($holiday_id));
+    }
+
+    function lfGetHolidayList() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $where = 'del_flg <> 1';
+        $objQuery->setOrder('rank DESC');
+        return $objQuery->select('holiday_id, title, month, day', 'dtb_holiday', $where);
+    }
+
+    /* DBへの挿入 */
+    function lfInsertClass($arrData, $member_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        // INSERTする値を作成する。
+        $sqlval['title'] = $arrData['title'];
+        $sqlval['month'] = $arrData['month'];
+        $sqlval['day'] = $arrData['day'];
+        $sqlval['creator_id'] = $member_id;
+        $sqlval['rank'] = $objQuery->max('rank', 'dtb_holiday') + 1;
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
+        // INSERTの実行
+        $sqlval['holiday_id'] = $objQuery->nextVal('dtb_holiday_holiday_id');
+        $ret = $objQuery->insert('dtb_holiday', $sqlval);
+        return $ret;
+    }
+
+    /* DBへの更新 */
+    function lfUpdateClass($arrData) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        // UPDATEする値を作成する。
+        $sqlval['title'] = $arrData['title'];
+        $sqlval['month'] = $arrData['month'];
+        $sqlval['day'] = $arrData['day'];
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $where = 'holiday_id = ?';
+        // UPDATEの実行
+        $ret = $objQuery->update('dtb_holiday', $sqlval, $where, array($arrData['holiday_id']));
+        return $ret;
+    }
+
+    function lfInitParam($mode, &$objFormParam) {
         switch ($mode) {
             case 'edit':
-            case 'pre_edit':
                 $objFormParam->addParam('タイトル', 'title', STEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
                 $objFormParam->addParam('月', 'month', INT_LEN, 'n', array('SELECT_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
                 $objFormParam->addParam('日', 'day', INT_LEN, 'n', array('SELECT_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
-                $objFormParam->addParam('定休日ID', 'holiday_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-                break;
+                // breakしない
             case 'delete':
+            case 'pre_edit':
             case 'down':
             case 'up':
+                $objFormParam->addParam('定休日ID', 'holiday_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+                break;
             default:
-                $objFormParam->addParam('定休日ID', 'holiday_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
                 break;
         }
@@ -193,16 +234,26 @@
      * 入力エラーチェック
      *
-     * @param object $objFormParam
-     * @param object $objHoliday
+     * @param string $mode
      * @return array
      */
-    function lfCheckError(&$objFormParam, SC_Helper_Holiday_Ex &$objHoliday)
-    {
+    function lfCheckError($mode, &$objFormParam) {
+        $objFormParam->convParam();
         $arrErr = $objFormParam->checkError();
-        $arrForm = $objFormParam->getHashArray();
-
-        // 編集中のレコード以外に同じ日付が存在する場合
-        if ($objHoliday->isDateExist($arrForm['month'], $arrForm['day'], $arrForm['holiday_id'])) {
-            $arrErr['date'] = '※ 既に同じ日付の登録が存在します。<br>';
+        $post = $objFormParam->getHashArray();
+
+        if (!isset($arrErr['date'])) {
+            $objQuery =& SC_Query_Ex::getSingletonInstance();
+            $where = 'del_flg = 0 AND month = ? AND day = ?';
+            $arrWhereVal = array($post['month'], $post['day']);
+            if (!empty($post['holiday_id'])) {
+                $where .= ' AND holiday_id <> ?';
+                $arrWhereVal[] = $post['holiday_id'];
+            }
+            $arrRet = $objQuery->select('count(holiday_id) as count', 'dtb_holiday', $where, $arrWhereVal);
+
+            // 編集中のレコード以外に同じ日付が存在する場合
+            if ($arrRet[0]['count'] > 0) {
+                $arrErr['date'] = '※ 既に同じ日付の登録が存在します。<br>';
+            }
         }
         return $arrErr;
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Point extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Point extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/point.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -120,18 +116,15 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('ポイント付与率', 'point_rate', PERCENTAGE_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('会員登録時付与ポイント', 'welcome_point', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
     }
 
-    function lfUpdateData($post)
-    {
+    function lfUpdateData($post) {
         // 入力データを渡す。
         $sqlval = $post;
@@ -142,6 +135,5 @@
     }
 
-    function lfInsertData($post)
-    {
+    function lfInsertData($post) {
         // 入力データを渡す。
         $sqlval = $post;
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 22796)
@@ -44,6 +44,5 @@
  * @version $Id:LC_Page_Admin_Basis_ZipInstall.php 16741 2007-11-08 00:43:24Z adachi $
  */
-class LC_Page_Admin_Basis_ZipInstall extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_ZipInstall extends LC_Page_Admin_Ex {
 
     /** CSVの行数 */
@@ -67,6 +66,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/zip_install.tpl';
@@ -86,6 +84,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -97,6 +94,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -169,11 +165,9 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    function lfAutoCommitZip()
-    {
+    function lfAutoCommitZip() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -190,6 +184,5 @@
      * @return void
      */
-    function lfDeleteZip()
-    {
+    function lfDeleteZip() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -206,6 +199,5 @@
      * @return void
      */
-    function lfInitParam($tpl_mode, &$objFormParam)
-    {
+    function lfInitParam($tpl_mode, &$objFormParam) {
         if ($tpl_mode == 'manual') {
             $objFormParam->addParam('開始行', 'startRowNum', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -218,6 +210,5 @@
      * @return void
      */
-    function insertMtbZip($start = 1)
-    {
+    function insertMtbZip($start = 1) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -283,6 +274,5 @@
             <!--
                 // 完了画面
-                function complete()
-                {
+                function complete() {
                     document.open('text/html','replace');
                     document.clear();
@@ -301,6 +291,5 @@
     }
 
-    function openZipCsv()
-    {
+    function openZipCsv() {
         $this->convertZipCsv();
         $fp = fopen(ZIP_CSV_UTF8_REALFILE, 'r');
@@ -311,6 +300,5 @@
     }
 
-    function convertZipCsv()
-    {
+    function convertZipCsv() {
         if (file_exists(ZIP_CSV_UTF8_REALFILE)) return;
 
@@ -333,12 +321,10 @@
     }
 
-    function countMtbZip()
-    {
+    function countMtbZip() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->count('mtb_zip');
     }
 
-    function countZipCsv()
-    {
+    function countZipCsv() {
         $line = 0;
         $fp = $this->openZipCsv();
@@ -365,6 +351,5 @@
      * @return void
      */
-    function lfDownloadZipFileFromJp()
-    {
+    function lfDownloadZipFileFromJp() {
         // Proxy経由を可能とする。
         // TODO Proxyの設定は「data/module/HTTP/Request.php」内の「function HTTP_Request」へ記述する。いずれは、外部設定としたい。
@@ -395,6 +380,5 @@
      * @return void
      */
-    function lfExtractZipFile()
-    {
+    function lfExtractZipFile() {
         $zip = zip_open($this->zip_csv_temp_realfile);
         if (!is_resource($zip)) {
@@ -449,6 +433,5 @@
      * @return string CSV の更新日時 (整形済みテキスト)
      */
-    function lfGetCsvDatetime()
-    {
+    function lfGetCsvDatetime() {
         return date('Y/m/d H:i:s', filemtime(ZIP_CSV_REALFILE));
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 22569)
+++ /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Customer extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'customer/index.tpl';
@@ -88,6 +86,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -99,6 +96,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -151,6 +147,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -162,6 +157,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         SC_Helper_Customer_Ex::sfSetSearchParam($objFormParam);
         $objFormParam->addParam('編集対象会員ID', 'edit_customer_id', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
@@ -174,6 +168,5 @@
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         return SC_Helper_Customer_Ex::sfCheckErrorSearchParam($objFormParam);
     }
@@ -185,7 +178,16 @@
      * @return boolean true:成功 false:失敗
      */
-    function lfDoDeleteCustomer($customer_id)
-    {
-        return SC_Helper_Customer_Ex::delete($customer_id);
+    function lfDoDeleteCustomer($customer_id) {
+        $arrData = SC_Helper_Customer_Ex::sfGetCustomerDataFromId($customer_id, 'del_flg = 0');
+        if (SC_Utils_Ex::isBlank($arrData)) {
+            //対象となるデータが見つからない。
+            return false;
+        }
+        // XXXX: 仮会員は物理削除となっていたが論理削除に変更。
+        $arrVal = array(
+            'del_flg' => '1',
+        );
+        SC_Helper_Customer_Ex::sfEditCustomerData($arrVal, $customer_id);
+        return true;
     }
 
@@ -196,6 +198,5 @@
      * @return boolean true:成功 false:失敗
      */
-    function lfDoResendMail($customer_id)
-    {
+    function lfDoResendMail($customer_id) {
         $arrData = SC_Helper_Customer_Ex::sfGetCustomerDataFromId($customer_id);
         if (SC_Utils_Ex::isBlank($arrData) or $arrData['del_flg'] == 1) {
@@ -216,6 +217,5 @@
      * @return array( integer 全体件数, mixed 会員データ一覧配列, mixed SC_PageNaviオブジェクト)
      */
-    function lfDoSearch($arrParam)
-    {
+    function lfDoSearch($arrParam) {
         return SC_Helper_Customer_Ex::sfGetSearchData($arrParam);
     }
@@ -227,6 +227,5 @@
      * @return boolean true:成功 false:失敗
      */
-    function lfDoCSV($arrParam)
-    {
+    function lfDoCSV($arrParam) {
         $objSelect = new SC_CustomerList_Ex($arrParam, 'customer');
         $order = 'update_date DESC, customer_id DESC';
Index: /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer_Edit extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Customer_Edit extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'customer/edit.tpl';
@@ -68,5 +66,6 @@
 
         // 支払い方法種別
-        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
+        $objDb = new SC_Helper_DB_Ex();
+        $this->arrPayment = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
     }
 
@@ -76,6 +75,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -87,6 +85,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -201,6 +198,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -212,6 +208,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // 会員項目のパラメーター取得
         SC_Helper_Customer_Ex::sfCustomerEntryParam($objFormParam, true);
@@ -228,6 +223,5 @@
      * @return void
      */
-    function lfInitSearchParam(&$objFormParam)
-    {
+    function lfInitSearchParam(&$objFormParam) {
         SC_Helper_Customer_Ex::sfSetSearchParam($objFormParam);
         // 初回受け入れ時用
@@ -241,6 +235,5 @@
      * @return array エラー配列
      */
-    function lfCheckErrorSearchParam(&$objFormParam)
-    {
+    function lfCheckErrorSearchParam(&$objFormParam) {
         return SC_Helper_Customer_Ex::sfCheckErrorSearchParam($objFormParam);
     }
@@ -252,6 +245,5 @@
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $arrErr = SC_Helper_Customer_Ex::sfCustomerMypageErrorCheck($objFormParam, true);
 
@@ -292,6 +284,5 @@
      * @return array エラー配列
      */
-    function lfRegistData(&$objFormParam)
-    {
+    function lfRegistData(&$objFormParam) {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         // 登録用データ取得
@@ -322,6 +313,5 @@
      * @return array( integer 全体件数, mixed 会員データ一覧配列, mixed SC_PageNaviオブジェクト)
      */
-    function lfPurchaseHistory($customer_id, $pageno = 0)
-    {
+    function lfPurchaseHistory($customer_id, $pageno = 0) {
         if (SC_Utils_Ex::isBlank($customer_id)) {
             return array('0', array(), NULL);
Index: /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer_SearchCustomer extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Customer_SearchCustomer extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'customer/search_customer.tpl';
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -102,6 +98,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -113,6 +108,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         SC_Helper_Customer_Ex::sfSetSearchParam($objFormParam);
     }
@@ -124,6 +118,5 @@
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         return SC_Helper_Customer_Ex::sfCheckErrorSearchParam($objFormParam);
     }
@@ -135,6 +128,5 @@
      * @return array( integer 全体件数, mixed 会員データ一覧配列, mixed SC_PageNaviオブジェクト)
      */
-    function lfDoSearch($arrParam)
-    {
+    function lfDoSearch($arrParam) {
         return SC_Helper_Customer_Ex::sfGetSearchData($arrParam);
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Mail extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'mail/index.tpl';
@@ -85,6 +83,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -96,6 +93,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -185,6 +181,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -196,6 +191,5 @@
      * @return void
      */
-    function lfInitParamSearchCustomer(&$objFormParam)
-    {
+    function lfInitParamSearchCustomer(&$objFormParam) {
         SC_Helper_Customer_Ex::sfSetSearchParam($objFormParam);
         $objFormParam->addParam('配信形式', 'search_htmlmail', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
@@ -209,6 +203,5 @@
      * @return void
      */
-    function lfAddParamSelectTemplate(&$objFormParam)
-    {
+    function lfAddParamSelectTemplate(&$objFormParam) {
         $objFormParam->addParam('メール形式', 'mail_method', INT_LEN, 'n', array('EXIST_CHECK','ALNUM_CHECK'));
         $objFormParam->addParam('Subject', 'subject', STEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
@@ -223,6 +216,5 @@
      * @return array key:template_id value:サブジェクト【配信形式】
      */
-    function lfGetMailTemplateList($arrTemplate)
-    {
+    function lfGetMailTemplateList($arrTemplate) {
         if (is_array($arrTemplate)) {
             foreach ($arrTemplate as $line) {
@@ -240,6 +232,5 @@
      * @return void
      */
-    function lfGetTemplateData(&$objFormParam, $template_id)
-    {
+    function lfGetTemplateData(&$objFormParam, $template_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('template_id DESC');
@@ -254,6 +245,5 @@
      * @return integer 登録した行の dtb_send_history.send_id の値
      */
-    function lfRegisterData(&$objFormParam)
-    {
+    function lfRegisterData(&$objFormParam) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -299,6 +289,5 @@
      * @return array
      */
-    function lfGetMailQuery($send_id)
-    {
+    function lfGetMailQuery($send_id) {
 
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_History extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Mail_History extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'mail/history.tpl';
@@ -59,6 +57,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -70,6 +67,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->getMode()) {
@@ -95,6 +91,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -106,6 +101,5 @@
      * @return array( integer 全体件数, mixed メール配信データ一覧配列, mixed SC_PageNaviオブジェクト)
      */
-    function lfDoSearch($search_pageno = 1)
-    {
+    function lfDoSearch($search_pageno = 1) {
 
         // 引数の初期化
@@ -146,6 +140,5 @@
      * @return void
      */
-    function lfDeleteHistory($send_id)
-    {
+    function lfDeleteHistory($send_id) {
             $objQuery =& SC_Query_Ex::getSingletonInstance();
             $objQuery->update('dtb_send_history',
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 22796)
@@ -31,6 +31,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_Preview extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Mail_Preview extends LC_Page_Admin_Ex {
 
     // }}}
@@ -42,6 +41,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = 'プレビュー';
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objMailHelper = new SC_Helper_Mail_Ex();
@@ -98,6 +94,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_Template extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Mail_Template extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'mail/template.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objMailHelper = new SC_Helper_Mail_Ex();
@@ -97,6 +93,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -107,6 +102,5 @@
      * @return void
      */
-    function lfDeleteMailTemplate($template_id)
-    {
+    function lfDeleteMailTemplate($template_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->update('dtb_mailmaga_template',
